Bug 55307 - Drawing Object Copied Using Ctrl+[Mouse-Drag] Is Not Immediately Displayed
Summary: Drawing Object Copied Using Ctrl+[Mouse-Drag] Is Not Immediately Displayed
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shapes
  Show dependency treegraph
 
Reported: 2012-09-25 07:43 UTC by preechaw
Modified: 2020-09-17 04:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Demonstrates problem in copying objects (412.62 KB, application/vnd.oasis.opendocument.text)
2012-10-05 07:09 UTC, narayanaras
Details
Video demonstration of ctrl-copy bug in writer (326.61 KB, video/mp4)
2016-12-31 00:47 UTC, Paul McAuley
Details

Note You need to log in before you can comment on or make changes to this bug.
Description preechaw 2012-09-25 07:43:30 UTC
Drawing object, for example a rectangle, is not displayed immediately after being copied with Ctrl+mouse-drag.
The object is actually copied but not displayed. To force it to become visible, user may change the print layout view to Web layout view or vice versa.

I uploaded a video for this.
http://www.youtube.com/watch?v=6YmXD1NPKPo&feature=youtu.be
Comment 1 narayanaras 2012-10-05 07:09:03 UTC
Created attachment 68106 [details]
Demonstrates problem in copying objects

The pasted invisible object will also appear if-
1. You click at the anchor spot and press DEL or ENTER or any character
   (even space bar will do). 

   (But if you click anywhere else, this trick does not work)

2. You save the file and open it again.

These tricks can be verified in the attached sample file.

BTW this problem was present in the earlier versions of LO also.
But I could not pin down the problem earlier.

It also happens when you do the CTRL+C/X and CTRL+V, but so rarely AND randomly that I cannot find a pattern.
Comment 2 narayanaras 2012-10-06 12:19:55 UTC
See the video here, that shows the problem:
https://www.dropbox.com/s/atdi32vpscrhv8r/CopyObjectProblem.mp4

Note: 
I may not be able to host this file for long: Please download it and confirm here, so that I can remove it from my Dropbox.

Thanks!
Comment 3 dg1727 2014-02-02 07:41:32 UTC
This bug seems to be a duplicate of bug 33692.
Comment 4 Joel Madero 2015-05-02 15:44:31 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-06-21 13:40:51 UTC
(In reply to narayanaras from comment #1)
> Created attachment 68106 [details]
> Demonstrates problem in copying objects

Yep, ctrl-drag works, but not to the target area.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 6 QA Administrators 2016-09-20 10:12:07 UTC Comment hidden (obsolete)
Comment 7 Paul McAuley 2016-12-22 22:48:04 UTC
Bug still exists in LibreOffice Writer 5.2.3.3, OpenSUSE Leap 42.2. It only affects Writer and does not seem to exist in Draw, Impress or Calc.
Comment 8 Paul McAuley 2016-12-31 00:47:01 UTC
Created attachment 130045 [details]
Video demonstration of ctrl-copy bug in writer

Added a video to demonstrate this.

It is an extremely annoying bug! I don't understand why the same code that is in Impress/Draw etc. is not just used in Writer as Impress has superior drawing features (including free rotation of images) and less buggy too (this bug does not occur, neither do others related to cropping etc.)
Comment 9 Paul McAuley 2016-12-31 00:51:53 UTC
Can confirm that this also occurs in the latest:
Version: 5.4.0.0.alpha0+
Build ID: a7c51323b7343f82b5aea6098f5d5e31a8bad0e9
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-12-29_23:48:09
Locale: en-GB (en_GB.UTF-8); Calc: group
Comment 10 QA Administrators 2018-09-17 02:46:19 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2020-09-17 04:07:35 UTC
Dear preechaw,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug